GNU bug report logs - #44120
28.0.50; Animated GIFs sometimes leave "trails"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; dated Wed, 21 Oct 2020 19:18:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44120 <at> debbugs.gnu.org:


Received: (at 44120) by debbugs.gnu.org; 22 Oct 2020 12:54:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 08:54:27 2020
Received: from localhost ([127.0.0.1]:51742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVa6t-0006w5-6c
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 08:54:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kVa6s-0006vr-0X
 for 44120 <at> debbugs.gnu.org; Thu, 22 Oct 2020 08:54:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42830)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kVa6j-0007dE-04; Thu, 22 Oct 2020 08:54:20 -0400
Received: from [176.228.60.248] (port=4704 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kVa6h-0000T4-Of; Thu, 22 Oct 2020 08:54:16 -0400
Date: Thu, 22 Oct 2020 15:54:29 +0300
Message-Id: <835z72mnei.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-Reply-To: <20201021200842.GB47992@HIDDEN> (message from
 Alan Third on Wed, 21 Oct 2020 21:08:42 +0100)
Subject: Re: bug#44120: 28.0.50; Animated GIFs sometimes leave "trails"
References: <873627jsmv.fsf@HIDDEN>
 <20201021200842.GB47992@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44120
Cc: larsi@HIDDEN, 44120 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 21 Oct 2020 21:08:42 +0100
> From: Alan Third <alan@HIDDEN>
> Cc: 44120 <at> debbugs.gnu.org
> 
> >From image.c:
> 
>       /* From gif89a spec: 1 = "keep in place", 2 = "restore
> 	 to background".  Treat any other value like 2.  */
> 
> >From the gif89a spec:
> 
> iv) Disposal Method - Indicates the way in which the graphic is to
>             be treated after being displayed.
> 
>             Values :    0 -   No disposal specified. The decoder is
>                               not required to take any action.
>                         1 -   Do not dispose. The graphic is to be left
>                               in place.
>                         2 -   Restore to background color. The area used by the
>                               graphic must be restored to the background color.
>                         3 -   Restore to previous. The decoder is required to
>                               restore the area overwritten by the graphic with
>                               what was there prior to rendering the graphic.
>                      4-7 -    To be defined.
> 
> That gif uses a disposal value of 3 quite a lot.
> 
> It looks like when a block is updated with a disposal value of 3 we
> should hang onto the previous contents and then restore them in, I
> guess, the next frame.

FTR, the image renders correctly on MS-Windows when
w32-use-native-image-API is non-nil, so this indeed seems like a
problem with our GIF code.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44120; Package emacs. Full text available.

Message received at 44120 <at> debbugs.gnu.org:


Received: (at 44120) by debbugs.gnu.org; 22 Oct 2020 12:14:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 08:14:58 2020
Received: from localhost ([127.0.0.1]:51658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVZUg-0001ew-8X
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 08:14:58 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:33980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kVZUd-0001eg-MY
 for 44120 <at> debbugs.gnu.org; Thu, 22 Oct 2020 08:14:56 -0400
Received: from smtpauth1.co-bxl (smtpauth1.co-bxl [10.2.0.15])
 by wilbur.contactoffice.com (Postfix) with ESMTP id 43B77BFB;
 Thu, 22 Oct 2020 14:14:49 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1603368889; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:In-Reply-To;
 l=703; bh=28U1KtbOKGoLt5NTJQlNrjewW15IS5Li2zaBYGYD5SE=;
 b=RGGdH5699AuHWmo5CJxwjWpsjg8SkhO3jghjMUGpQ61lc2Ev7ip7aNPmvLyYY1es
 MV12QQojfnQCErXKqOA5JaDycJh0jBoIPin/HwJ8DV3f5fYXQ6oY0iiVNsNopNBadWE
 nZAOqt1W+K/1TzTGc4bPwyxEocgxNTpHpHOoWuGyOEvusgsqQh6mlXjuA2DsTgxx0zr
 1GsOgdx7uEDbDApgCeMrYoxRUnpJ8PZ6nUuMAeNnZQ63Zqxih5p7L1FyFY137XQp1qy
 w/H9qJDFHOpxiv4KWsR6L9ziL30zhfTM0F6QGDiKWP6hKHs8QFcM8KURxaqWaw/KzpP
 kNnjXf3+vw==
Received: by smtp.mailfence.com with ESMTPA ;
 Thu, 22 Oct 2020 14:14:47 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id A7F1120262EBCE; Thu, 22 Oct 2020 13:14:44 +0100 (BST)
Date: Thu, 22 Oct 2020 13:14:44 +0100
From: Alan Third <alan@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44120: 28.0.50; Animated GIFs sometimes leave "trails"
Message-ID: <20201022121444.GC47992@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>, 44120 <at> debbugs.gnu.org
References: <873627jsmv.fsf@HIDDEN>
 <20201021200842.GB47992@HIDDEN>
 <87zh4eo4fi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87zh4eo4fi.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED,
 BAYES_00 device=10.2.0.21
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44120
Cc: 44120 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Oct 22, 2020 at 02:01:21PM +0200, Lars Ingebrigtsen wrote:
> Alan Third <alan@HIDDEN> writes:
> 
> > It looks like when a block is updated with a disposal value of 3 we
> > should hang onto the previous contents and then restore them in, I
> > guess, the next frame.
> 
> So...  when rendering frame C, and there was a disposal of value 3 in
> frame B, we should restore that area from frame A?

Yes. That's how I read it.

There's a note that if you are unable to keep the contents then the
next best solution is to cover the area in the background colour. It
appears from the comments that that's the solution we're using, but
it's clearly not working either.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44120; Package emacs. Full text available.

Message received at 44120 <at> debbugs.gnu.org:


Received: (at 44120) by debbugs.gnu.org; 22 Oct 2020 12:02:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 08:02:14 2020
Received: from localhost ([127.0.0.1]:51638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVZIL-00013d-P3
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 08:02:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kVZIK-0000yj-Co
 for 44120 <at> debbugs.gnu.org; Thu, 22 Oct 2020 08:02:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=AUhh1k5oElpOaVbjcZ08M2wdBnPjPNjXR9fLlYwhZyg=; b=sZtxn9MF4ZCzi0U8PWFUc7lLDM
 6u4Q+jcT/XCgfbXIkNHC7i4xtiDVXMesJaIwm2Qv8l0dw5RiCRnMeLS2movqxCAqhiDgqMxDW7h7t
 VaI8z49xu7/xoNVNt54ANYKpxDE7YpkYH8ypT1pYJ6A5wfxHd1TCBGLjz1iIqiTL/Qz8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kVZIB-0002Zg-Ty; Thu, 22 Oct 2020 14:02:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#44120: 28.0.50; Animated GIFs sometimes leave "trails"
References: <873627jsmv.fsf@HIDDEN>
 <CADwFkmkSocxiNuUODh4Cq=tBhtiCuLjFqiq6mkRyEnhWZcvGuA@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVdVltKLi6BfYCq
 uL4jFRL////lCCyUAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QKFgs7OogoOr0AAAG+SURBVDjLbZMB
 0qswCIRJ2gMEmwNEcoE2XkDe5P5neguJtrZ/ZupYPxdYQApElPCjWuzKdnL+V/y227/HGkUajwPA
 gbud/CgisrEHiJFIJ+g3ANrmafRWfIMcOF9AfSs+QP1UhBOUC0iehPPteQVEDvQKnolKmGV9g1gm
 WFZPLht8VoDTCIeSTGHMFDJydE1r4HcoIik/oA3AWT+ADOsARUOfQDCUrbUTZDXrvISjJdUNDoDZ
 wIeB5lU5gGtI9ACHQr7A2fYfMJpY3uDx/ByU/IAqtWFbAPoBsD7UBMAkpsjqA7llB3hSI1pM1PsO
 Ey/WnntqWKgSYzXA9v7yHH3ZSlxDraYYnZqg39osV8je4z3RAIi+ba/IKZDvzt51AN4DciUUSmrl
 9gMs6+CcCbUo0wESKZGHpUBhX2aGKfbohK/lHvYD7PeMMIjSKQV5ZT0E43W7IHryfXd9Qlo4Tt0B
 F/bZqkMVuJO7K9axWEjHEjhiulIU9WjQu1mwZm9zRVcmTwXJXvHNGhBbusKng6UN0KJNagJri3U5
 Zo0Sa52hBuin1Doc3qHOA1Ftv0BR7jX5fI4NtM1a+x+hEpIE/g9DKL5NUm5pkAAAACV0RVh0ZGF0
 ZTpjcmVhdGUAMjAyMC0xMC0yMlQxMTo1OTo1OCswMDowMIyzF2gAAAAldEVYdGRhdGU6bW9kaWZ5
 ADIwMjAtMTAtMjJUMTE6NTk6NTgrMDA6MDD97q/UAAAAAElFTkSuQmCC
X-Now-Playing: Drew Daniel, John Wiese's _Continuous Hole_: "Intro"
Date: Thu, 22 Oct 2020 14:02:02 +0200
In-Reply-To: <CADwFkmkSocxiNuUODh4Cq=tBhtiCuLjFqiq6mkRyEnhWZcvGuA@HIDDEN>
 (Stefan Kangas's message of "Wed, 21 Oct 2020 13:37:27 -0700")
Message-ID: <87v9f2o4ed.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefankangas@HIDDEN> writes: > I'm also
 seeing slightly pixelated/jagged text, but it looks completely > smooth in
 Firefox. Is anyone else seeing this? Should perhaps be a > separate bug
 report? Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44120
Cc: 44120 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefankangas@HIDDEN> writes:

> I'm also seeing slightly pixelated/jagged text, but it looks completely
> smooth in Firefox.  Is anyone else seeing this?  Should perhaps be a
> separate bug report?

I think it looks like Firefox applied extra blurring to the results?
But it's hard to tell...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44120; Package emacs. Full text available.

Message received at 44120 <at> debbugs.gnu.org:


Received: (at 44120) by debbugs.gnu.org; 22 Oct 2020 12:01:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 08:01:41 2020
Received: from localhost ([127.0.0.1]:51634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVZHp-0000di-GU
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 08:01:41 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42172)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kVZHn-0000Xk-Eb
 for 44120 <at> debbugs.gnu.org; Thu, 22 Oct 2020 08:01:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1/GGKpxkVdUH3lLkR4diNWFzsPi70AhcuDC7Jr0Nte0=; b=UncrEDHfpO6jDtI/NimxYMgqqp
 WuSyHNCqtaX8tpWEbtjA+raZjdRc8N9PZ9TuT2MSp/QdgfwZhU4KJen1GQsUgziFaFDb5kWYPdbQc
 o+bzPQ4jhD/2VrR2Uzw1LNU1HuAbZv9VQbUAQUFzuRsn/YW85IFUrSFqzDBME/CQl5nI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kVZHX-0002ZQ-5L; Thu, 22 Oct 2020 14:01:33 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#44120: 28.0.50; Animated GIFs sometimes leave "trails"
References: <873627jsmv.fsf@HIDDEN>
 <20201021200842.GB47992@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVdVltKLi6BfYCq
 uL4jFRL////lCCyUAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QKFgs7OogoOr0AAAG+SURBVDjLbZMB
 0qswCIRJ2gMEmwNEcoE2XkDe5P5neguJtrZ/ZupYPxdYQApElPCjWuzKdnL+V/y227/HGkUajwPA
 gbud/CgisrEHiJFIJ+g3ANrmafRWfIMcOF9AfSs+QP1UhBOUC0iehPPteQVEDvQKnolKmGV9g1gm
 WFZPLht8VoDTCIeSTGHMFDJydE1r4HcoIik/oA3AWT+ADOsARUOfQDCUrbUTZDXrvISjJdUNDoDZ
 wIeB5lU5gGtI9ACHQr7A2fYfMJpY3uDx/ByU/IAqtWFbAPoBsD7UBMAkpsjqA7llB3hSI1pM1PsO
 Ey/WnntqWKgSYzXA9v7yHH3ZSlxDraYYnZqg39osV8je4z3RAIi+ba/IKZDvzt51AN4DciUUSmrl
 9gMs6+CcCbUo0wESKZGHpUBhX2aGKfbohK/lHvYD7PeMMIjSKQV5ZT0E43W7IHryfXd9Qlo4Tt0B
 F/bZqkMVuJO7K9axWEjHEjhiulIU9WjQu1mwZm9zRVcmTwXJXvHNGhBbusKng6UN0KJNagJri3U5
 Zo0Sa52hBuin1Doc3qHOA1Ftv0BR7jX5fI4NtM1a+x+hEpIE/g9DKL5NUm5pkAAAACV0RVh0ZGF0
 ZTpjcmVhdGUAMjAyMC0xMC0yMlQxMTo1OTo1OCswMDowMIyzF2gAAAAldEVYdGRhdGU6bW9kaWZ5
 ADIwMjAtMTAtMjJUMTE6NTk6NTgrMDA6MDD97q/UAAAAAElFTkSuQmCC
X-Now-Playing: Drew Daniel, John Wiese's _Continuous Hole_: "Intro"
Date: Thu, 22 Oct 2020 14:01:21 +0200
In-Reply-To: <20201021200842.GB47992@HIDDEN> (Alan Third's
 message of "Wed, 21 Oct 2020 21:08:42 +0100")
Message-ID: <87zh4eo4fi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Alan Third <alan@HIDDEN> writes: > It looks like when
 a block is updated with a disposal value of 3 we > should hang onto the
 previous
 contents and then restore them in, I > guess, the next frame. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44120
Cc: 44120 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> It looks like when a block is updated with a disposal value of 3 we
> should hang onto the previous contents and then restore them in, I
> guess, the next frame.

So...  when rendering frame C, and there was a disposal of value 3 in
frame B, we should restore that area from frame A?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44120; Package emacs. Full text available.

Message received at 44120 <at> debbugs.gnu.org:


Received: (at 44120) by debbugs.gnu.org; 21 Oct 2020 20:37:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 21 16:37:35 2020
Received: from localhost ([127.0.0.1]:50692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVKrX-0002Jt-HW
	for submit <at> debbugs.gnu.org; Wed, 21 Oct 2020 16:37:35 -0400
Received: from mail-ed1-f49.google.com ([209.85.208.49]:45286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kVKrV-0002Jf-SR
 for 44120 <at> debbugs.gnu.org; Wed, 21 Oct 2020 16:37:34 -0400
Received: by mail-ed1-f49.google.com with SMTP id dg9so3868359edb.12
 for <44120 <at> debbugs.gnu.org>; Wed, 21 Oct 2020 13:37:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to;
 bh=rm1ckeU2jU7MQd6ljGptSu8kV3AxwliX5hRpSdgHaOE=;
 b=a+3b6evW+/9g2o1pyG/vay91ZApIMDMcUoRcwz5lr9arTJasnuMUQ37DAP5SWh79Vi
 x4JqXgnPQ4gqEpbc8liWxo7WOLK1FFwCdJ9DJuz7oaKnCUqjfH3xf032ERqJ8foAPjbk
 AQojAPGJz5UYksWYULn+AwzWGwwi4xaNhEG0ZjhsZ9SptXONkWnDdSJizntEREsCWv2a
 xG/sacUgCqyJU1bC44YnNTrObHoJ865XJmTvekmZlgauYIge3+N3ZYjo8eTyOUfJgjL/
 ajSGGZHHsdXY4/G+vNkRZtJFooQE+LuFHtM8q8hstP3KfQzJzghmGL871JdOHND5BSqa
 ICnw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to;
 bh=rm1ckeU2jU7MQd6ljGptSu8kV3AxwliX5hRpSdgHaOE=;
 b=a0azRQv+ZpZDft7KxOp53JAgFyZtg4VX3q09JWLU9cs7/vzU7JZldX9eqN+jOX03q4
 f7FrOXD6f1rafYPY8HrHrQ1PQ4hQfTE3lmU8WutBV013TO2TmSxDnN+s69Y8kvgWeFVV
 VsUNDMad8XyhAjYP63zPyOD20X8ZlNC++7o5AxHCofspmSR9hLhe4VQRzXQSljAdmQrF
 isW2txg0qIhfe2JggQY+i+JOa8yWQcUb4wSYISYlqWGgbiRQJ39s0hqNgiiaH6Hbu4GL
 MFAUNl5J3KBPd51F3Qo2htQFIHhzuNM03DgCt/UnTgfS104u3A7Lqm6+S+rCjKkJpxis
 HuqA==
X-Gm-Message-State: AOAM532G6ec2NDveJ2tLpbikq+bnzbBUPkgXNLQa0lLgagENlXiL06cn
 zZxkjNSNjdLyyMOGY0f0nyOo2GwIh+YOvy8x5P0=
X-Google-Smtp-Source: ABdhPJwEq0gJMZ5jgEu+yqzZ5ONWjZUdJcSygARU2Yk66ac5ifwBHT4a6kYW+6yJPRX2amrxAPl0cZodBMv4fqJzrKM=
X-Received: by 2002:a05:6402:3133:: with SMTP id
 dd19mr5009299edb.100.1603312647969; 
 Wed, 21 Oct 2020 13:37:27 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 21 Oct 2020 13:37:27 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <873627jsmv.fsf@HIDDEN>
References: <873627jsmv.fsf@HIDDEN>
MIME-Version: 1.0
Date: Wed, 21 Oct 2020 13:37:27 -0700
Message-ID: <CADwFkmkSocxiNuUODh4Cq=tBhtiCuLjFqiq6mkRyEnhWZcvGuA@HIDDEN>
Subject: Re: bug#44120: 28.0.50; Animated GIFs sometimes leave "trails"
To: Lars Ingebrigtsen <larsi@HIDDEN>, 44120 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> M-x eww RET https://lh4.googleusercontent.com/TQ10szluPdXsKoYIeYe5ljxjVIoJzcCvLybUa3tEA24a6vISYkwiqAz9VymzgyNY_N8tfqHKvxSv9WhrcC-GvDc4uaiCE1T52y3C6xK1K--Lazicm9PSBiGxGVCyjFtDTBJaEOuExA
>
> will give you an animated GIF that displays the problem: It seems like
> when repainting, the previous area that has changed isn't reset...  or
> something.

I'm also seeing slightly pixelated/jagged text, but it looks completely
smooth in Firefox.  Is anyone else seeing this?  Should perhaps be a
separate bug report?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44120; Package emacs. Full text available.

Message received at 44120 <at> debbugs.gnu.org:


Received: (at 44120) by debbugs.gnu.org; 21 Oct 2020 20:08:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 21 16:08:52 2020
Received: from localhost ([127.0.0.1]:50650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVKPj-0001Z5-U2
	for submit <at> debbugs.gnu.org; Wed, 21 Oct 2020 16:08:52 -0400
Received: from idiocy.org ([217.169.17.33]:59097 helo=breton.holly.idiocy.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kVKPh-0001Yg-G1
 for 44120 <at> debbugs.gnu.org; Wed, 21 Oct 2020 16:08:50 -0400
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id D26D220262E382; Wed, 21 Oct 2020 21:08:42 +0100 (BST)
Date: Wed, 21 Oct 2020 21:08:42 +0100
From: Alan Third <alan@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44120: 28.0.50; Animated GIFs sometimes leave "trails"
Message-ID: <20201021200842.GB47992@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>, 44120 <at> debbugs.gnu.org
References: <873627jsmv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <873627jsmv.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44120
Cc: 44120 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Oct 21, 2020 at 09:17:28PM +0200, Lars Ingebrigtsen wrote:
> 
> M-x eww RET https://lh4.googleusercontent.com/TQ10szluPdXsKoYIeYe5ljxjVIoJzcCvLybUa3tEA24a6vISYkwiqAz9VymzgyNY_N8tfqHKvxSv9WhrcC-GvDc4uaiCE1T52y3C6xK1K--Lazicm9PSBiGxGVCyjFtDTBJaEOuExA
> 
> will give you an animated GIF that displays the problem: It seems like
> when repainting, the previous area that has changed isn't reset...  or
> something.
> 
> We're probably not following the GIF animation standard when applying
> the deltas?  

Well, I think this is the problem:

From image.c:

      /* From gif89a spec: 1 = "keep in place", 2 = "restore
	 to background".  Treat any other value like 2.  */

From the gif89a spec:

iv) Disposal Method - Indicates the way in which the graphic is to
            be treated after being displayed.

            Values :    0 -   No disposal specified. The decoder is
                              not required to take any action.
                        1 -   Do not dispose. The graphic is to be left
                              in place.
                        2 -   Restore to background color. The area used by the
                              graphic must be restored to the background color.
                        3 -   Restore to previous. The decoder is required to
                              restore the area overwritten by the graphic with
                              what was there prior to rendering the graphic.
                     4-7 -    To be defined.

That gif uses a disposal value of 3 quite a lot.

It looks like when a block is updated with a disposal value of 3 we
should hang onto the previous contents and then restore them in, I
guess, the next frame.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44120; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Oct 2020 19:17:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 21 15:17:51 2020
Received: from localhost ([127.0.0.1]:50596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVJcN-0000Hn-CF
	for submit <at> debbugs.gnu.org; Wed, 21 Oct 2020 15:17:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:35368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kVJcK-0000Hd-Gt
 for submit <at> debbugs.gnu.org; Wed, 21 Oct 2020 15:17:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48014)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1kVJcJ-0000zr-Nv
 for bug-gnu-emacs@HIDDEN; Wed, 21 Oct 2020 15:17:48 -0400
Received: from quimby.gnus.org ([2a01:4f9:2b:f0f::2]:51788)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1kVJcH-0002pu-B1
 for bug-gnu-emacs@HIDDEN; Wed, 21 Oct 2020 15:17:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From:
 Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=/c5VnVAKuq8Q4esIrWGX263m7mtISBNMbAnEtBkLjZY=; b=VSDfAE+cy9tIpimbcJImzd+mOs
 lOso0fna4qJszIT3EPxEQ/Rn5CS7Q4MTiSw1rwMzS3v/nRiPGjIYhKCcWfpb9VoOgB/CMbjuJN3Hr
 Nfl/zkH686snkCcRNLPyTSt9MrxvAQMwVJJKQvPqXx8q/78kVjqhiMicy5vKplphPKpQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kVJc1-0001SV-K0
 for bug-gnu-emacs@HIDDEN; Wed, 21 Oct 2020 21:17:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Animated GIFs sometimes leave "trails"
X-Now-Playing: Motorpsycho's _Roadwork vol. 5 (1)_: "Lacuna-Sunrise"
Date: Wed, 21 Oct 2020 21:17:28 +0200
Message-ID: <873627jsmv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details. Content preview: M-x eww RET
 https://lh4.googleusercontent.com/TQ10szluPdXsKoYIeYe5ljxjVIoJzcCvLybUa3tEA24a6vISYkwiqAz9VymzgyNY_N8tfqHKvxSv9WhrcC-GvDc4uaiCE1T52y3C6xK1K--Lazicm9PSBiGxGVCyjFtDTBJaEOuExA
 will give you an animated GIF that displays the problem: It seems like when
 repainting, the previous area that has changed isn't reset... or something.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


M-x eww RET https://lh4.googleusercontent.com/TQ10szluPdXsKoYIeYe5ljxjVIoJzcCvLybUa3tEA24a6vISYkwiqAz9VymzgyNY_N8tfqHKvxSv9WhrcC-GvDc4uaiCE1T52y3C6xK1K--Lazicm9PSBiGxGVCyjFtDTBJaEOuExA

will give you an animated GIF that displays the problem: It seems like
when repainting, the previous area that has changed isn't reset...  or
something.

We're probably not following the GIF animation standard when applying
the deltas?  


In GNU Emacs 28.0.50 (build 119, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.16.0)
 of 2020-10-21 built on xo
Repository revision: 4ef8c4a0f4e26f6ea2186a2b80c068b8d93e4993
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44120; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 22 Oct 2020 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.